sphinxbase-0.8-3.1.i586.rpm


Advertisement

Description

sphinxbase - Support library required by Pocketsphinx

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename sphinxbase-0.8-3.1.i586.rpm
Package name sphinxbase
Package version 0.8
Package release 3.1
Package architecture i586
Package type rpm
Category Productivity/Office/Other
Homepage http://cmusphinx.sourceforge.net/wiki/download/
License BSD-2-Clause AND MIT
Maintainer -
Download size 49.45 KB
Installed size 151.57 KB
CMU Sphinx toolkit is a speech recognition tool and has a number of packages for
different tasks and applications.

Alternatives

Package Version Architecture Repository
sphinxbase-0.8-3.1.x86_64.rpm 0.8 x86_64 openSUSE Oss
sphinxbase - - -

Requires

Name Value
/usr/bin/perl -
libc.so.6(GLIBC_2.7) -
libm.so.6 -
libm.so.6(GLIBC_2.29) -
libsndfile.so.1 -
libsndfile.so.1(libsndfile.so.1.0) -
libsphinxad.so.0 -
libsphinxbase.so.1 -
update-alternatives -

Provides

Name Value
sphinxbase = 0.8-3.1
sphinxbase(x86-32) = 0.8-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package sphinxbase-0.8-3.1.i586.rpm
Source Package sphinxbase-0.8-3.1.src.rpm

Install Howto

Install sphinxbase rpm package:

# zypper install sphinxbase

Files

Path
/etc/alternatives/sphinx_cepview
/etc/alternatives/sphinx_fe
/etc/alternatives/sphinx_jsgf2fsg
/etc/alternatives/sphinx_lm_convert
/etc/alternatives/sphinx_lm_eval
/etc/alternatives/sphinx_pitch
/usr/bin/sphinx_cepview
/usr/bin/sphinx_cepview-0.8
/usr/bin/sphinx_cont_adseg
/usr/bin/sphinx_cont_fileseg
/usr/bin/sphinx_fe
/usr/bin/sphinx_fe-0.8
/usr/bin/sphinx_jsgf2fsg
/usr/bin/sphinx_jsgf2fsg-0.8
/usr/bin/sphinx_lm_convert
/usr/bin/sphinx_lm_convert-0.8
/usr/bin/sphinx_lm_eval
/usr/bin/sphinx_lm_eval-0.8
/usr/bin/sphinx_lm_sort
/usr/bin/sphinx_pitch
/usr/bin/sphinx_pitch-0.8
/usr/share/doc/packages/sphinxbase/AUTHORS
/usr/share/doc/packages/sphinxbase/ChangeLog
/usr/share/doc/packages/sphinxbase/NEWS
/usr/share/doc/packages/sphinxbase/README
/usr/share/licenses/sphinxbase/COPYING

Changelog

2019-03-01 - Antonio Larrosa <alarrosa@suse.com>
- Add workaround-gcc-issue-on-i586.patch to circumvent
boo#1127564 while it's fixed in gcc
2019-02-27 - Antonio Larrosa <alarrosa@suse.com>
- Add %check section to run tests
2019-02-23 - alarrosa@suse.com
- Use alternatives for some binaries to make it possible to have the package
coinstallable with sphinxbase5 5prealpha
2018-08-20 - alarrosa@suse.com
- Implement shared library packaging guideline
- Fix RPM groups
- Fix perl shebang to not use env
2018-08-12 - alarrosa@suse.com
- Use %license for license file
2017-09-05 - alarrosa@suse.com
- Add sphinxbase-doxygen.patch, sphinxbase-largefile.patch and
sphinxbase-uninit.patch to fix several issues. Patches obtained
from the fedora package.
- Fixed license in spec file. It's BSD-2-Clause + MIT
- Regenerate sphinxbase.c with cython instead of using the
(old) released code.
- Run spec-cleaner
- Move the python bindings to a new python2-sphinxbase package
2014-09-01 - hrvoje.senjan@gmail.com
- Fix devel package requires; devel package needs libsndfile-devel,
alsa-devel and lapack-devel
2014-09-01 - hrvoje.senjan@gmail.com
- Revert the license change from previous submit; there is no
indication that upstream changed the license
2014-08-30 - i@marguerite.su
- update version 0.8
* Functions added to share with Sphinxtrain
* Fixed build for MINGW
* Better support for Python 3.x
* Jack backend
* New argument type STRING_LIST for Sphinxtrain
- added patch: sphinxbase-no-date.patch
* remove __DATE and __TIME
2012-11-10 - alinm.elena@gmail.com
- initial commit

See Also

Package Description
sphinxbase-devel-0.8-3.1.i586.rpm Headers for support library required by Pocketsphinx
sphinxbase-devel-0.8-3.1.x86_64.rpm Headers for support library required by Pocketsphinx
spice-gtk-0.36-2.1.i586.rpm Gtk client and libraries for SPICE remote desktop servers
spice-gtk-0.36-2.1.x86_64.rpm Gtk client and libraries for SPICE remote desktop servers
spice-gtk-devel-0.36-2.1.i586.rpm Devel
spice-gtk-devel-0.36-2.1.x86_64.rpm Devel
spice-gtk-lang-0.36-2.1.noarch.rpm Translations for package spice-gtk
spice-html5-0.1.7-1.4.noarch.rpm Pure Javascript SPICE client
spice-parent-26-1.1.noarch.rpm Sonatype Spice Components
spice-protocol-devel-0.12.15-1.1.noarch.rpm SPICE-protocol definitions
spice-up-1.8.0-1.1.i586.rpm Desktop presentation application
spice-up-1.8.0-1.1.x86_64.rpm Desktop presentation application
spice-up-lang-1.8.0-1.1.noarch.rpm Translations for package spice-up
spice-vdagent-0.17.0-4.5.i586.rpm Agent for Spice guests
spice-vdagent-0.17.0-4.5.x86_64.rpm Agent for Spice guests
Advertisement
Advertisement